summaryrefslogtreecommitdiffstats
path: root/source/l/libwnck3/libwnck3.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libwnck3/libwnck3.SlackBuild')
-rwxr-xr-xsource/l/libwnck3/libwnck3.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/l/libwnck3/libwnck3.SlackBuild b/source/l/libwnck3/libwnck3.SlackBuild
index 10e60ff20..b251cf0f2 100755
--- a/source/l/libwnck3/libwnck3.SlackBuild
+++ b/source/l/libwnck3/libwnck3.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libwnck3
VERSION=${VERSION:-$(echo libwnck-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -80,6 +80,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix crash bug:
+cat $CWD/00000000.patch | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"